description

# TextMetrics class Null safety

Annotations
  - @Native("TextMetrics")

## Properties

actualBoundingBoxAscent → num?
  read-only
actualBoundingBoxDescent → num?
  read-only
actualBoundingBoxLeft → num?
  read-only
actualBoundingBoxRight → num?
  read-only
alphabeticBaseline → num?
  read-only
emHeightAscent → num?
  read-only
emHeightDescent → num?
  read-only
fontBoundingBoxAscent → num?
  read-only
fontBoundingBoxDescent → num?
  read-only
hangingBaseline → num?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
ideographicBaseline → num?
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
width → num?
  read-only

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited